Getting Started

PCAN Status Display is a status monitor for retrieving statistical information about the currently active clients, and to examine the nets and hardware used by those clients.

With the tabs below the toolbar you can select the installed driver or device type whose active elements you want to display. Depending on the installed drivers, the tabs Virtual, PCI, USB, PC Card, ISA, Dongle, or Peakcan are shown.

How to use the Online Help

When you click a Help button from within a dialog box, a Help window appears, and a context-sensitive topic is displayed for that dialog box. You can also press F1 on the keyboard in any window of PCAN Status Display to display a help topic for that window or tab.

You can also use the Contents and Search tabs in the left pane of the Help window to locate topics of interest. When you perform a search, the results are displayed by topic title.

See also

  • User Interface Reference

  • PCAN-System Basics

  • Contact Information / Copyright

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


PCAN-System Basics

PCAN is a synonym for PEAK CAN APPLICATIONS and is a flexible system for planning, developing and using Controller Area Networks (CAN). It is a powerful product for both the developer and the end-user.

Basis for the communication between PCs and external hardware via CAN is a series of Windows Kernel Mode Drivers (Virtual Device Drivers) e.g. PCAN_USB.SYS, PCAN_PCI.SYS, PCAN_xxx.SYS. These drivers are the core of a complete CAN environment on a PC running Windows and work as interfaces between CAN software and PC-based CAN hardware. The drivers manage the entire data flow of every CAN device connected to the PC.

A user or administrator of a CAN installation gets access via the PCAN-Clients (short: Clients). Several parameters of processes can be visualized and changed with their help. The drivers allow the connection of several Clients at the same time.

Furthermore, several hardware components based on the SJA1000 CAN controller are supported by a PCAN driver. So-called Nets provide the logical structure for CAN busses, which are virtually extended into the PC. On the hardware side, several Clients can be connected, too. The following figures demonstrate different possibilities of Net configurations (also realizable at the same time):

PCAN-System Features:

  • One Client can be connected to several Nets

  • One Net provides several Clients

  • One piece of hardware belongs to one Net

  • One Net can include none or one piece of hardware

  • A message from a transmitting Client is carried on to every other connected Client, and to the external bus via the connected CAN hardware

  • A message received by the CAN hardware is received by every connected Client. However, Clients react only on those messages that pass their acceptance filter

  • Each Client has a transmit queue, in which the transmit messages are buffered until their transmit time is reached. Then they are written into the transmit queue of the CAN hardware.

  • Each Client has a receive queue, which buffers received messages.

  • Each hardware has a transmit queue, which buffers transmit messages.

See also

Setting Up the CAN Hardware

Configuring PCAN Nets

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


Contact Information / Copyright

PCAN Status Display is a product of:

PEAK-System Technik GmbH

Otto-Roehm-Strasse 69
D-64293 Darmstadt
Germany

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.

Windows® is a registered trademark of Microsoft Corporation in the United States and other countries. All other product names mentioned herein may be the trademarks or registered trademarks of their respective companies. Furthermore, "™" and "®" are not mentioned in each case in this help.

No part of this publication may be reproduced, photocopied, stored on a retrieval system, or transmitted without the express written consent of PEAK-System Technik GmbH.

Last update: 2022-02-08

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


User Interface

User Interface

The PCAN Status Display window contains the following sections, from top to bottom:

  • Toolbar - The toolbar allows quick access to the most frequently used commands.

  • Tabs - With the tabs you can select the installed driver or device type whose active elements you want to display.

  • Connection Diagram - Shows a graphical representation of the active elements and their linkage. Depending on the display mode, the diagram elements contain corresponding information.

The following elements can be displayed:

Element | Icon | Description
Client |  | A client is a program that has registered itself at the PCAN system.
Net |  | A net serves as a CAN message transporter for one or more clients. CAN message transport is done from and to other clients and hardware.
Hardware |  | A hardware is connected to one net.

  • Status Bar - Contains a summary of all visible elements.

Client

A client element always shows the name under which it is registered at the PCAN system. Next to it, the internal handle value is shown in parenthesis, which is useful for software developers. Depending on the display mode, the following additional information is shown:

RcvQueue

Shows the status of the receive message queue which is managed by the PCAN system.

XmtQueue

Shows the status of the transmit message queue which is managed by the PCAN system.

RcvMsg/s

The current message receive rate for the client.

XmtMsg/s

The current message transmit rate for the client.

RcvBit/s

The currently received bits-per-second

XmtBit/s

The currently transmitted bits-per-second.

AccCode, AccMask

The values of the acceptance filter simulated for the client by the PCAN system.

Client Handle

The value of the driver-internal handle of the client (1-64).

Hint

The displayed values are always related to the sum of all net connections of a client. Is a client connected to multiple nets at the same time, every displayed client element of this client shows identical values.

Net

A net element always shows the net's name. Depending on the display mode, further values are displayed after the name.

Bit rate

Shows the Bit rate that was defined for the net. This Bit rate could actually not represent the currently used value, because the Bit rate is dependent on the used hardware. This value rather serves as an initialization parameter for the hardware, when the net is connected to it.

Msg/s

The current message rate on the net (receive and transmit).

Bits/s

The current rate of bits transmitted by the net.

Net Handle

The value of the driver-internal handle of the net (1-64).

Hardware

A hardware element always shows the hardware name as well as additional parameters that identify the hardware in the PC.

Depending on the display mode, the following values can be displayed:

Status

Displays 'OK', if no error occurred. Otherwise an error term is shown, e.g. 'Error Passive'.

The additional 'Warning' indicator is shown if one of the error counters of the CAN controller has reached the Error Warning Limit (usually 96 error points or above).

Bit rate

The transfer rate that is currently used by the hardware.

XmtQueue

Shows the status of the transmit message queue, which is managed by the PCAN system for this hardware.

RcvMsg/s

The current message receive rate.

XmtMsg/s

The current message transmit rate.

RcvBit/s

The current rate of received bits.

XmtBit/s

The current rate of transmitted bits.

AccCode, AccMask

The values of the acceptance filter.

Error Frames

Indicates whether the hardware is configured for the reception of Error Frames.

Listen-only

Indicates whether the hardware is operating in the Listen-only mode, which forces the CAN controller to be error passive. Message transmission is not possible, no acknowledge will be given on received messages.

Hardw. Handle

The value of the driver-internal handle of the hardware (1-64).

See also

PCAN Status Display Commands

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


PCAN Status Display Commands

The following commands are available on the toolbar of PCAN Status Display:

Command | Icon | Description
Exit |  | Quits the program.
Settings |  | Opens a sub-menu that allows you to change various application settings.
Status |  | Shows general status information about the hardware and nets. Clients are not affected.
Queues |  | Shows the current status of following message queues: transmission and reception by clients, transmission by hardware.
Msg.Rate |  | Shows the current message rate for transmission and reception by clients and hardware.
Bit Rate |  | Shows the current bit rate for transmission and reception by clients and hardware.
Filter |  | Shows the values of the acceptance filter the hardware is configured with, and the values of the clients' software filters.
Options |  | Shows the settings of hardware options (e.g. reception of Error Frames, Listen-only mode).
Help |  | Shows the Online help for PCAN Status Display.
About |  | Shows information about program, version, and copyright.

The following commands can be executed by the context menus of a hardware, a net, or a client. A context menu is opened with the right mouse button.

Command | Icon | Description
Bit rate |  | Selects a bit rate for the hardware. This command is available for a hardware if the Status display mode is selected, and when the hardware is not operated with a CAN FD bit rate.
Bring to Front |  | Sets the application window of the client to the foreground.
Error Frames |  | Activates or deactivates the reception of error frames by a client. This command is only available in the Options display mode. It effects only clients that are connected to a hardware which supports the reception of error frames.
Identify |  | Causes a hardware to flash the LED of the channel used for a short time. This command is available only for a hardware that supports this feature.
Kill all Clients |  | Removes all clients from a net and quits the corresponding programs.
Kill Client |  | Removes the client from a net and quits the corresponding program.
Listen-only |  | Activates or deactivates the Listen-only mode of a hardware's CAN controller. This command is available for a hardware, if the Options display mode is selected and the hardware supports this option.
Reset |  | Resets a hardware. This command is available for a hardware, if the Status display mode is selected.

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.